/*********************************************************************
*                   (c) SEGGER Microcontroller GmbH                  *
*                        The Embedded Experts                        *
*                           www.segger.com                           *
**********************************************************************

-------------------------- END-OF-HEADER -----------------------------

File    : Template.h
Purpose : Generic SEGGER header file template
*/

#ifndef Main_H            // Avoid multiple inclusion.
#define Main_H

#include "Global.h"
#include "USBH.h"

#if defined(__cplusplus)
  extern "C" {                // Make sure we have C-declarations in C++ programs.
#endif

#define PRINTER_MANU_LEN  256

/*********************************************************************
*
*       Types, global
*
**********************************************************************
*/

/*********************************************************************
*
*       Global data
*
**********************************************************************
*/


#ifdef   EXTERN
  #undef EXTERN
#endif

#ifndef Main_C       // Defined in Template.c which includes this header beside other C-files
  #define EXTERN extern
#else
  #define EXTERN
#endif

EXTERN U8              MAIN_acDeviceId[255];

EXTERN OS_TASK         MAIN_TASK_PRINT;

EXTERN char            MAIN_acPrinterManu[PRINTER_MANU_LEN];
EXTERN char            MAIN_acPrinterModel[PRINTER_MANU_LEN];

EXTERN U8              MAIN_PortStatus;

#undef EXTERN

/*********************************************************************
*
*       API functions / Function prototypes
*
**********************************************************************
*/

void PrintTask(void);

void ConnectToPrinter(void);

void DisconnectFromPrinter(void);

USBH_STATUS WriteToPrinter(const U8 *pData, unsigned NumBytes);

#if defined(__cplusplus)
}                             // Make sure we have C-declarations in C++ programs.
#endif

#endif                        // Avoid multiple inclusion.

/*************************** End of file ****************************/
